{% load staticfiles %}
{% load static %}

{% block extra_stylesheet %}
<!-- ================== BEGIN PAGE LEVEL STYLE ================== -->
<link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
<link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
<!-- <link rel="stylesheet" type="text/css" href="{% static 'custom-table/rowGroup.css' %}"> -->
<!-- ================== END PAGE LEVEL STYLE ================== -->

<!-- ================== BEGIN SELECT2 CSS ================== -->
<link href="{% static 'assets/plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
<!-- ================== END SELECT2 CSS ================== -->

<!-- ================== BEGIN DATERANGE CSS ================== -->
<link href="{% static 'assets/plugins/bootstrap-daterangepicker/daterangepicker.css' %}" rel="stylesheet" />
<!-- ================== END DATERANGE CSS ================== -->


<!-- ================== BEGIN DATEPICKER CSS ================== -->

<link href="{% static 'assets/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker.css' %}" rel="stylesheet" />
<link href="{% static 'assets/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker3.css' %}" rel="stylesheet" />
<!-- ================== END DATEPICKER CSS ================== -->

<style type="text/css">

	#chartdiv,#chartdivA,#chartdivB,#chartdivC {
		width: 100%;
		height: 550px;
	}

	.filtros {
		display: none;
	}

	/*=========== IMPORTANTE PARA EL DATATABLE ================*/
	div.dataTables_wrapper {
    
    width: 95%;
    
    margin: 0 auto;
	}
	/*=========== IMPORTANTE PARA EL DATATABLE ================*/

	span.select2-selection__choice__remove {
		color:red;
	}
</style>

{% endblock extra_stylesheet %}


{% block container %}

<!-- ========================== HEADER ========================== -->

<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
	<li class="breadcrumb-item active"><span class="fecha"></span></li>
</ol>
<!-- end breadcrumb -->
<!-- begin page-header -->
<h1 class="page-header"></h1>
<!-- end page-header -->

<!-- ========================== ENDHEADER ========================== -->

<div class="filtros" id="container_ppal">

<div class="row">
	<!-- begin col-12 -->
	<div class="col-xl-12">
		<!-- begin #accordion -->
		<div id="accordion" class="accordion">
			<!-- begin card -->
			<div class="card bg-dark text-white">
				<div class="card-header bg-dark-darker pointer-cursor d-flex align-items-center" data-toggle="collapse" data-target="#collapseOne">
					<i class="fa fa-hand-pointer fa-fw text-blue "></i> &nbsp;&nbsp;Selección
				</div>
				<div id="collapseOne" class="collapse show" data-parent="#accordion">
					<div class="card-body">
						<!-- DATE RANGE  -->
						<div class="form-group row">
							<label class="col-lg-4 col-form-label">Rango de Fechas</label>

							<div class="col-lg-8 text-center" id="rangoFecha">
								<div class="input-group input-daterange">
									<input type="text" class="form-control" name="start" id="advance-daterange" placeholder="Fecha Inicial"/>
									<span class="input-group-addon"><i class="fa fa-calendar"></i></span>
								
								</div>

								<span class="" style="display: none" id="resumenDate"></span>
	
							</div>

						</div>
					</div>
				</div>
			</div>
			<!-- end card -->
			<!-- begin card -->
			<div class="card bg-dark text-white filtros" id="filtros_dt">
				<div class="card-header bg-dark-darker pointer-cursor d-flex align-items-center collapsed" data-toggle="collapse" data-target="#collapseTwo">
					<i class="fa fa-filter fa-fw text-warning"></i>&nbsp;&nbsp; Filtros
				</div>
				<div id="collapseTwo" class="collapse" data-parent="#accordion">
					<div class="card-body">
						<!-- Filtros -->
						<div class="form-group row">
							<div class="col-lg-4">
								<select class="default-select2 form-control" id="filtroA">
									<option value="todos">..:: Tipo de pago ::..</option>
								</select>
							</div>

							<div class="col-lg-4">
								<select class="default-select2 form-control" id="filtroB">
									<option value="todos">..:: Meses ::..</option>
								</select>
							</div>

							<div class="col-lg-4">
								<select class="default-select2 form-control" id="filtroC">
									<option value="todos">..:: Fechas ::..</option>
								</select>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- end card -->

		</div>
		<!-- end #accordion -->
	</div>
	<!-- end col-12 -->
</div>

<hr class="divider"></hr>

<div class="row filtros" id="tablas_div">
	<div class="col-lg-12">
		<!-- begin nav-pills -->
		<ul class="nav nav-pills mb-2">
			<li class="nav-item">
				<a href="#nav-pills-tab-1" data-toggle="tab" class="nav-link active" id="tab1">
					<span class="d-sm-none"><i class="fa fa-chart-line"></i>&nbsp;&nbsp;Gráfico</span>
					<span class="d-sm-block d-none"><i class="fa fa-chart-pie"></i>&nbsp;&nbsp;Gráfico Facturación<small class="tipo_graph"></small></span>
				</a>
			</li>
			<li class="nav-item">
				<a href="#nav-pills-tab-2" data-toggle="tab" class="nav-link">
					<span class="d-sm-none"><i class="fa fa-list"></i>&nbsp;&nbsp;Tabla General de facturación</span>
					<span class="d-sm-block d-none">&nbsp;&nbsp;Tabla General</span>
				</a>
			</li>
			<li class="nav-item">
				<a href="#nav-pills-tab-3" data-toggle="tab" class="nav-link">
					<span class="d-sm-none"><i class="fa fa-list"></i>&nbsp;&nbsp;Tabla Detalle de facturación</span>
					<span class="d-sm-block d-none">&nbsp;&nbsp;Tabla Detalle</span>
				</a>
			</li>

		</ul>
		<!-- end nav-pills -->
		<!-- begin tab-content -->
		<div class="tab-content p-15 rounded bg-white mb-4">
			<!-- begin tab-pane -->
			<div class="tab-pane fade active show" id="nav-pills-tab-1">
				<h3 class="m-t-10"><i class="fa fa-chart-pie"></i>&nbsp;&nbsp;Gráfico <small class="tipo_graph"></small></h3>
				<div id="chartdiv"></div>
			</div>
			<!-- end tab-pane -->
			<!-- begin tab-pane -->
			<div class="tab-pane fade" id="nav-pills-tab-2">
				<h3 class="m-t-10">&nbsp;&nbsp;Tabla de facturación general</h3>

					<div class="table-responsive">

						<table id="example" class="table table-striped table-bordered table-td-valign-middle" style="width: 100%">
							<thead>
								<tr>
									<th nowrap="">Tipo de pago</th>
									<th nowrap="">Nro de servicios</th>
									<th nowrap="">Recaudación</th>
								</tr>
							</thead>
							<tfoot>
								<tr>
									<td nowrap=""><b>TOTAL</b></td>
									<td nowrap=""></td>
									<td nowrap=""></td>
								</tr>
							</tfoot>
						</table>

					</div>

			</div>
			<!-- end tab-pane -->
			<!-- begin tab-pane -->
			<div class="tab-pane fade" id="nav-pills-tab-3">
				<h3 class="m-t-10">&nbsp;&nbsp;Tabla de facturación detalle</h3>

					<div class="table-responsive">

						<table id="example2" class="table table-striped table-bordered table-td-valign-middle" style="width: 100%">
							<thead>
								<tr>
									<th nowrap="">Cliente</th>
									<th nowrap="">RUT</th>
									<th nowrap="">Tipo de pago</th>
									<th nowrap="">Año</th>
									<th nowrap="">Mes</th>
									<th nowrap="">Mes</th>

									<th nowrap="">Comentario</th>
									<th nowrap="">Folio</th>
									<th nowrap="">Fecha de Pago</th>
									<th nowrap="">Fecha de Vencimiento</th>
									<th nowrap="">Nro de servicios</th>
									<th nowrap="">Recaudación</th>
								</tr>
							</thead>
							<tfoot>
								<tr>
									<td nowrap=""><b>TOTAL</b></td>
									<td nowrap=""></td>
									<td nowrap=""></td>
									<td nowrap=""></td>
									<td nowrap=""></td>
									<td nowrap=""></td>
									<td nowrap=""></td>
									<td nowrap=""></td>
									<td nowrap=""></td>
									<td nowrap=""></td>
									<td nowrap=""></td>
									<td nowrap=""></td>
								</tr>
							</tfoot>
						</table>

					</div>
			</div>
			<!-- end tab-pane -->
		</div>
		<!-- end tab-content -->
	</div>
</div>

</div>
{% endblock container %}




{% block extra_javascript %}


<script type="text/javascript" src="{% static 'assets/plugins/datatables.net/js/jquery.dataTables.min.js' %}"></script>
<script type="text/javascript" src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}"></script>
<script type="text/javascript" src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}"></script>
<script type="text/javascript" src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}"></script>
<script type="text/javascript" src="{% static 'assets/plugins/apexcharts/dist/apexcharts.min.js' %}"></script>

<!-- ================== BEGIN SELECT2 JS ================== -->
<script type="text/javascript" src="{% static 'assets/plugins/select2/dist/js/select2.full.min.js' %}"></script>
<script type="text/javascript" src="{% static 'assets/plugins/select2/dist/js/select2.min.js' %}"></script>

<script type="text/javascript" src="{% static 'assets/plugins/select2/dist/js/i18n/es.js' %}"></script>

<!-- ================== END SELECT2 JS ================== -->

<!-- ================== BEGIN DATERANGE JS ================== -->
<script type="text/javascript" src="{% static 'assets/plugins/moment/moment.js' %}"></script>
<script type="text/javascript" src="{% static 'assets/plugins/bootstrap-daterangepicker/daterangepicker.js' %}"></script>
<!-- ================== END DATERANGE JS ================== -->

<!-- ================== BEGIN DATATABLE PERSONALIZADOS JS ================== -->
<script type="text/javascript" src="{% static 'custom-table/myTable.js' %}"></script>
<!-- ================== END DATATABLE PERSONALIZADOS JS ================== -->

<!-- ================== BEGIN DATE PICKER JS ================== -->

<script type="text/javascript" src="{% static 'assets/plugins/bootstrap-datepicker/dist/js/bootstrap-datepicker.js' %}"></script>

<script type="text/javascript" src="{% static 'assets/plugins/bootstrap-datepicker/dist/locales/bootstrap-datepicker.es.min.js' %}"></script>

<!-- ================== END DATE PICKER JS ================== -->

<script type="text/javascript">
	
	userInSession();
	App.setPageTitle('Águila | Finanzas');
	titlePage('Finanzas - Facturación');

//========== FECHAS ============\\

function dateRange(id){
    var start = moment().subtract(29, 'days');
    var end = moment();

    var quarter = moment().quarter();
    // Aquí se inicializa el selector de fechas
    $(id + ' span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));

    //===== TRIMESTRES =====\\
    /******** FORMATO AAAA-MM-DD ********/
    var Q1A = moment().year().toString() + '-01-01'
    var Q1B = moment().year().toString() + '-03-31'

    var Q2A = moment().year().toString() + '-04-01'
    var Q2B = moment().year().toString() + '-06-30'

    var Q3A = moment().year().toString() + '-07-01'
    var Q3B = moment().year().toString() + '-09-30'

    var Q4A = moment().year().toString() + '-10-01'
    var Q4B = moment().year().toString() + '-12-31'

    //===== SEMESTRE =====\\

    var S1A = moment().year().toString() + '-01-01'
    var S1B = moment().year().toString() + '-06-30'

    var S2A = moment().year().toString() + '-07-01'
    var S2B = moment().year().toString() + '-12-31'

    $(id).daterangepicker({
        startDate: start,
        endDate: end,
        showDropdowns: true,
        minDate: '01/01/2001',
        maxDate: '01/01/2099',
        opens: 'right',
		drops: 'down',
		buttonClasses: ['btn', 'btn-sm'],
        applyClass: 'btn-warning',
        cancelClass: 'btn-inverse',
        locale: {
            format: 'DD/MM/YYYY',
            applyLabel: 'Enviar',
            cancelLabel: 'Cancelar',
            fromLabel: 'Desde',
            toLabel: 'Hasta',
            customRangeLabel: 'Seleccionar Fecha',
            todayLabel: 'Hoy',
            daysOfWeek: [
            "Lun",
            "Mar",
            "Mié",
            "Jue",
            "Vie",
            "Sáb",
            "Dom"],
            monthNames: [
            "Enero",
            "Febrero",
            "Marzo",
            "Abril",
            "Mayo",
            "Junio",
            "Julio",
            "Agosto",
            "Septiembre",
            "Octubre",
            "Noviembre",
            "Diciembre"
            ],
            firstDay: 0
        },
        ranges: {
        'Hoy': [moment(), moment()],
        'Mes actual': [moment().startOf('month'), moment().endOf('month')],
        'Últimos 15 días': [moment().subtract(14, 'days'), moment()],
        'Últimos 30 días': [moment().subtract(29, 'days'), moment()],

        'Trimestre 1': [moment(Q1A,'YYYY-MM-DD'), moment(Q1B,'YYYY-MM-DD')],
        'Trimestre 2': [moment(Q2A,'YYYY-MM-DD'), moment(Q2B,'YYYY-MM-DD')],
        'Trimestre 3': [moment(Q3A,'YYYY-MM-DD'), moment(Q3B,'YYYY-MM-DD')],
        'Trimestre 4': [moment(Q4A,'YYYY-MM-DD'), moment(Q4B,'YYYY-MM-DD')],

        'Semestre 1': [moment(S1A,'YYYY-MM-DD'), moment(S1B,'YYYY-MM-DD')],
        'Semestre 2': [moment(S2A,'YYYY-MM-DD'), moment(S2B,'YYYY-MM-DD')],

        'Mes actual': [moment().startOf('month'), moment().endOf('month')],
        'Mes anterior': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
        'Año anterior': [moment().subtract(364, 'days'), moment()],//
        }
        });

    //===== PARAMETROS PARA PETICIONES AJAX O AXIOS =====\\

    $(id).on('apply.daterangepicker', function(ev, picker) {
        /*
            MANEJADOR DE EVENTOS PROPIOS DEL DETERANGE, INICIA 
            CUANDO PULSAMOS EL BTN ACEPTAR(APPLY) DEL CALENDARIO
            DESPLEGADO.
        */

		ev.preventDefault()
		

        var params = {
			startDate:picker.startDate.format('YYYY-MM-DD'),
			endDate:picker.endDate.format('YYYY-MM-DD')
			}

			$("#tab1").trigger('click')
			$("#chartdiv").empty().html('')
		
			get_facturacion(params)


    })

}


function get_facturacion(params){
	//var url = '/pruebas/recaudacion-facturacion?format=json';
	var url = '/api/v1/facturacion-api?format=json';

	var conf = {
		headers: { Authorization: 'jwt '+ HDD.get(Django.name_jwt)},
		params : params
	};

	axios.get(url,conf)
	.then(function(response){
		var $data = response.data

		
		if($data.results == true){
			pieChartOne($data.tableBasic,'tipo_pago','recaudacion')

			$("#filtroA").select2({
				width:'100%',
				data:$data.filtroA,

			})

			$("#filtroB").select2({
				width:'100%',
				data:$data.filtroB,

			})

			$("#filtroC").select2({
				width:'100%',
				data:$data.filtroC,

			})

			var reg = {
				'Facturación':'Facturas',
				'Pagos':'Pagos',
			}

	       // Cargar la tabla de basica
		   var tableA = new myTable();

			tableA.columns = ['tipo_pago','nro_servicios',
							'recaudacion']
			tableA.palabraClave = 'Registros';
			tableA.order_by_columns = [1,'desc']
			jsonA = tableA.render_table($data.tableBasic)
			jsonA['columns'][2] = {'data':'recaudacion','className':'text-center'}
			jsonA['columns'][1] = {'data':'nro_servicios','className':'text-center'}

			jsonA['columnDefs'].push(
								{"render": function (data, type, row) {
									return '<b><i>'+ Capitalize(data) +'</i></b>'},
								"targets": [0]
								})

			var groupColumn = [1];

			jsonA['columnDefs'].push(
							{
							"render": function (data, type, row) {
									return '<b><i>' +SeparateNumber(data)+'</i></b>';
								},
							"targets": [1]
							})
			jsonA['columnDefs'].push(
							{
							"render": function (data, type, row) {
									return '<b><i>$ ' + SeparateNumber(data) + '</i></b>';
								},
							"targets": [2]
							})

			$.fn.dataTable.ext.search.push(
			  function( settings, data, dataIndex ) {
			    if ( settings.nTable.id !==  'example') {
			    return true;
			    }
			    var $select_dia = $("#filtroA").val();
			    var dt_annio = data[0];

			    if (( $select_dia == dt_annio ) || ( $select_dia == 'todos'))
			    {
			      return true;
			    }

			    return false;
			  }
			);


			jsonA["footerCallback"] =  function ( row, data, start, end, display ) {
					var api = this.api(), data;

					// Remove the formatting to get integer data for summation
					var intVal = function ( i ) {
						return typeof i === 'string' ?
							i.replace(/[\$,]/g, '')*1 :
							typeof i === 'number' ?
								i : 0;
					};

					size = api
						.column( 1 )
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );
				
						
					sizeDetail = api
						.column( 1 ,{page:'current'})
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );

					// Total over all pages
					totalDetail = api
						.column( 2, {page:'current'})
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );

					total = api
						.column( 2 )
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );

					// Update footer
					$( api.column( 1 ).footer() ).html(
						'<b>'+ SeparateNumber(sizeDetail)+ ' | ' + SeparateNumber(size) + '</b>'
					);
					$( api.column( 2 ).footer() ).html(
						'<b>$ '+ SeparateNumber(totalDetail) + ' | $ ' +SeparateNumber(total) + 
						'</b>'
					);
				}

			var bt = $("#example").DataTable(jsonA)
			$("#filtroA").change(function(){
				bt.draw()
			})

			// ================= TABLA DETALLE =================== \\


			var tableB = new myTable();

			tableB.columns = ['cliente_name',
							'cliente_rut',
							'tipo_pago',
							'annio',
							'mes_id',
							'mes',
							'comentario',
							'folio',
							'fecha_pago',
							'fecha_vencimiento',
							'nro_servicios',
							'recaudacion']
			tableB.palabraClave = 'Facturas';
			tableB.order_by_columns = [2,'asc']
			jsonB = tableB.render_table($data.tableDetail)

			jsonB['columns'][3] = {'data':'annio','className':'text-center'}
			jsonB['columns'][2] = {'data':'tipo_pago','className':'text-center'}
			jsonB['columns'][10] = {'data':'nro_servicios','className':'text-center'}
			jsonB['columns'][11] = {'data':'recaudacion','className':'text-center'}
			jsonB['columns'][7] = {'data':'folio','className':'text-center'}
			jsonB['columns'][8] = {'data':'fecha_pago','className':'text-center'}
			jsonB['columns'][9] = {'data':'fecha_vencimiento','className':'text-center'}
	
			jsonB['columnDefs'].push(
							{"visible":false,
							"targets": [2,4,5],
							"orderable":true,
							"searchable":true,
							})

			jsonB['columnDefs'].push(
							{"visible":true,
							"targets": [11],
							"orderable":true,
							"searchable":true,
							})

			jsonB['columnDefs'].push(
							{"visible":true,
							"targets": [0,2,6],
							"searchable":true,
							"render": function (data, type, row) {
								return '<b><i>'+ Capitalize(data) +'</i></b>'},
							})

			jsonB['columnDefs'].push(
							{"visible":true,
							"targets": [1,7,8,9],
							"searchable":true,
							"render": function (data, type, row) {
								return '<b><i>'+ data +'</i></b>'},
							})

		
			jsonB['columnDefs'].push(
								{
								"render": function (data, type, row) {
										return '<b><i>' + SeparateNumber(data) + '</i></b>';
									},
								"targets": [3,10]
								})
			jsonB['columnDefs'].push(
								{
								"render": function (data, type, row) {
										return '<b><i>$ ' + SeparateNumber(data) + '</i></b>';
									},
								"targets": [11]
								})


			jsonB["footerCallback"] =  function ( row, data, start, end, display ) {
					var api = this.api(), data;
			
					// Remove the formatting to get integer data for summation
					var intVal = function ( i ) {
						return typeof i === 'string' ?
							i.replace(/[\$,]/g, '')*1 :
							typeof i === 'number' ?
								i : 0;
					};
		
					size = api
						.column( 10 )
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );
					
							
					sizeDetail = api
						.column( 10 ,{page:'current'})
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );
			
					// Total over all pages
					totalDetail = api
						.column( 11, {page:'current'})
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );

						total = api
						.column( 11 )
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );
			
					// Update footer
					$( api.column( 10 ).footer() ).html(
						'<b>'+ SeparateNumber(sizeDetail)+ ' | ' + SeparateNumber(size) + '</b>'
					);
					$( api.column( 11 ).footer() ).html(
						'<b>$ '+ SeparateNumber(totalDetail) + ' | $ ' + SeparateNumber(total) + 
						'</b>'
					);
				}

			$.fn.dataTable.ext.search.push(
				function( settings, data, dataIndex ) {
				if ( settings.nTable.id !==  'example2') {
				return true;
				}
				var $select_dia = $("#filtroA").val();
				var dt_annio = data[2];

				if (( $select_dia == dt_annio ) || ( $select_dia == 'todos'))
				{
					return true;
				}

				return false;
				}
			);

			$.fn.dataTable.ext.search.push(
				function( settings, data, dataIndex ) {
				if ( settings.nTable.id !==  'example2') {
				return true;
				}
				var $select_dia = $("#filtroB").val();
				var dt_annio = data[5];

				if (($select_dia == dt_annio ) || ( $select_dia == 'todos'))
				{
					return true;
				}

				return false;
				}
			);

			$.fn.dataTable.ext.search.push(
				function( settings, data, dataIndex ) {
				if ( settings.nTable.id !==  'example2') {
				return true;
				}
				var $select_dia = $("#filtroC").val();
				var dt_annio = data[8];

				if (($select_dia == dt_annio ) || ( $select_dia == 'todos'))
				{
					return true;
				}

				return false;
				}
			);

			var groupColumn = [2];

		    jsonB["drawCallback"] = function ( settings ) {
	            var api = this.api();
	            var rows = api.rows( {page:'current'} ).nodes();
	            var last=null; 
	            api.column(groupColumn, {page:'current'} ).data().each( function ( group, i ) {
	                if ( last !== group ) {
	                    $(rows).eq( i ).before(
	                        '<tr class="group text-nowrap"><td colspan="12" class="text-primary"><b><i>'+group.toUpperCase()+'</i></b></td></tr>'
	                    );
	 
	                    last = group;
	                }
	            } );
		       }

			var dt = $("#example2").DataTable(jsonB)

          $("#filtroA,#filtroB,#filtroC").change(function(){
            dt.draw()
		  })
		  

		  //============== APARECER EL DIV CON LOS DATATABLES ====================\\

		  $("#tablas_div").removeClass('filtros')

		}else{
			_info($data.errorMsj)
		}
	})
	.then(function(response){

		if(!($("#tablas_div").hasClass('filtros'))){
			$("#tab1").trigger('click')	
			$("#collapseOne").removeClass('show')
			$("#collapseTwo").addClass('show')
			$("#filtros_dt").removeClass('filtros')
		}else{
			$("#tablas_div").addClass('filtros')
		}

	})
	.catch(function(error){
		handleErrorAxios(error)
	})
}


$.when(
	dateRange("#advance-daterange")
	)
.then(function(){
	$("#container_ppal").removeClass('filtros')
})


</script>

{% endblock extra_javascript %}